ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Issues with installing under all Linux Distributions

ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby oronnadiv » Fri Aug 23, 2019 12:30 am

I am currently using Ubuntu 14.04 (Trusty) with LibreOffice v6.1.5.2.

ppa:libreoffice/libreoffice-6-1 does not have a newer version. https://launchpad.net/~libreoffice/+arc ... ter=trusty
ppa:libreoffice/libreoffice-6-2 does not support Ubuntu 14.04 (Trusty). https://launchpad.net/~libreoffice/+arc ... office-6-2

Is there an official repo that has a newer version of LibreOffice and runs on Ubuntu 14.04?

Thanks!
LibreOffice 6.1.5.2 10(Build:2)
ubuntu 14.04
oronnadiv
 
Posts: 3
Joined: Wed Aug 21, 2019 12:51 am

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby Bill » Fri Aug 23, 2019 1:04 am

I believe that Ubuntu only supports LTS versions for 5 years. Ubuntu 14.04 LTS reached end of life in April 2019. I doubt that there are any official Ubuntu repos.

EOLUpgrades
AOO 4.1.6 and LO 6.2.0.3 on Manjaro MATE
Bill
Volunteer
 
Posts: 7375
Joined: Sat Nov 24, 2007 6:48 am

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby oronnadiv » Fri Aug 23, 2019 1:41 am

Thanks Bill for your promot reply.

Ubuntu 14.04 reaches EOL on April 2022. "End of Standard Support" is on April 2019.
https://wiki.ubuntu.com/Releases

Do you still think the newer versions of LibreOffice would not no support 14.04?
LibreOffice 6.1.5.2 10(Build:2)
ubuntu 14.04
oronnadiv
 
Posts: 3
Joined: Wed Aug 21, 2019 12:51 am

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby erbsenzahl » Fri Aug 23, 2019 8:18 am

Is there any reason why not to upgrade to Ubuntu 18.04 LTS?
To get the very latest of LibreOffice versions use following PPA:
Code: Select all   Expand viewCollapse view
ppa:libreoffice/ppa
This PPA has automatically updated my LinuxMint 19.2-64 machine from version 6.2.5.4 to version 6.3.0.4.

If you insist on your 14.04 Ubuntu version (and no repo is available for that) you could try the following steps:
  • You can download the DEB files of each desired version and install in parallel mode.
  • There are also stand-alone versions ("portable") available for DEB-Linux as appimage.
Godspeed
OpenOffice 3.4.1 and 4.1.7 on LinuxMint 19-64 Mate, rarely W7-64 pro and W10-64 pro; LibreOffice current versions
(author is no native speaker)
erbsenzahl
Volunteer
 
Posts: 143
Joined: Tue Apr 18, 2017 8:23 am
Location: Germany

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby Bill » Fri Aug 23, 2019 4:36 pm

Distrowatch shows "end of life" on Apr 2019. That is the effective end of life for most users. The Apr 2022 date is when the paid Extended Security Maintenance option ends. You would probably have to contact Ubuntu to find out if purchasing the ESM option would get you newer official versions of LO.
AOO 4.1.6 and LO 6.2.0.3 on Manjaro MATE
Bill
Volunteer
 
Posts: 7375
Joined: Sat Nov 24, 2007 6:48 am

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby Bill » Fri Aug 23, 2019 8:19 pm

You should also be aware that Ubuntu 14.04 LTS stopped receiving security updates after 30 Apr 2019. If you download and install the DEB files for the latest version of LO and don't upgrade your version of Ubuntu, you will be using LO on an insecure operating system.
AOO 4.1.6 and LO 6.2.0.3 on Manjaro MATE
Bill
Volunteer
 
Posts: 7375
Joined: Sat Nov 24, 2007 6:48 am

Re: ppa:libreoffice/libreoffice-6-1 for ubuntu 14.04

Postby oronnadiv » Fri Aug 23, 2019 8:26 pm

Good feedback. Thanks everyone.
LibreOffice 6.1.5.2 10(Build:2)
ubuntu 14.04
oronnadiv
 
Posts: 3
Joined: Wed Aug 21, 2019 12:51 am


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests